Skip to content

Tenant Attributes Module ​

Overview ​

Swagger-driven developer documentation for tenant attribute endpoints and contracts.

Key APIs ​

MethodPathSummary
GET/api/tenant-attributesGet all tenant attributes
POST/api/tenant-attributesSet tenant attribute
DELETE/api/tenant-attributes/{key}Delete tenant attribute
GET/api/tenant-attributes/{key}Get one tenant attribute by key

Frontend Usage Flow ​

  • Frontend list pages call collection GET endpoints to load tables or summary views.
  • Detail pages call parameterized GET endpoints to load a single resource before rendering tabs, forms, or detail sections.
  • Create forms submit payloads to POST endpoints and then refresh the list or navigate to the created resource.
  • Delete actions call DELETE endpoints and then refresh collection state.

GET /api/tenant-attributes ​

Summary: Get all tenant attributes

Operation ID: TenantAttributesController_getAttributes

Tags: Tenant Attributes

Security:

  • bearer

Responses ​

200 ​

Tenant attributes returned successfully

Content-Type: application/json

Schema:

json
{
  "type": "array",
  "items": {
    "$ref": "#/components/schemas/TenantAttributeDto"
  }
}

Example:

json
[
  {
    "key": "branding",
    "value": {
      "appName": "Autoconnecto",
      "primaryColor": "#1677ff",
      "logoUrl": "https://example.com/logo.png"
    },
    "updatedAt": "2026-04-07T12:00:00.000Z"
  }
]

401 ​

Unauthorized

No response body.

Notes / Constraints ​

  • Swagger declares security requirements for this operation.

POST /api/tenant-attributes ​

Summary: Set tenant attribute

Operation ID: TenantAttributesController_setAttribute

Tags: Tenant Attributes

Security:

  • bearer

Request ​

Content-Type: application/json

Schema:

json
{
  "type": "object",
  "required": [
    "key",
    "value"
  ],
  "properties": {
    "key": {
      "type": "string",
      "description": "Tenant attribute key"
    },
    "value": {
      "type": "object",
      "description": "Tenant attribute value"
    }
  }
}

Example:

json
{
  "key": "branding",
  "value": {
    "appName": "Autoconnecto",
    "primaryColor": "#1677ff",
    "logoUrl": "https://example.com/logo.png"
  }
}

Responses ​

200 ​

Tenant attribute set successfully

Content-Type: application/json

Schema:

json
{
  "type": "object",
  "required": [
    "key"
  ],
  "properties": {
    "key": {
      "type": "string"
    },
    "value": {
      "type": "object"
    },
    "updatedAt": {
      "type": "string"
    }
  }
}

Example:

json
{
  "key": "branding",
  "value": {
    "appName": "Autoconnecto",
    "primaryColor": "#1677ff",
    "logoUrl": "https://example.com/logo.png"
  },
  "updatedAt": "2026-04-07T12:00:00.000Z"
}

400 ​

key is required

No response body.

401 ​

Unauthorized

No response body.

403 ​

Only tenant owner and tenant admin can modify tenant attributes, or whitelabeling is not enabled for the current tenant plan

No response body.

Notes / Constraints ​

  • Supported request content types: application/json.
  • Swagger declares security requirements for this operation.

DELETE /api/tenant-attributes/{key} ​

Summary: Delete tenant attribute

Operation ID: TenantAttributesController_deleteAttribute

Tags: Tenant Attributes

Security:

  • bearer

Parameters ​

NameInRequiredTypeDescription
keypathyesstringTenant attribute key

Responses ​

200 ​

Tenant attribute deleted successfully

Content-Type: application/json

Schema:

json
{
  "type": "object",
  "required": [
    "success"
  ],
  "properties": {
    "success": {
      "type": "boolean"
    }
  }
}

Example:

json
{
  "success": true
}

401 ​

Unauthorized

No response body.

403 ​

Only tenant owner and tenant admin can modify tenant attributes

No response body.

Notes / Constraints ​

  • This endpoint depends on one or more path parameters.
  • Swagger declares security requirements for this operation.

GET /api/tenant-attributes/{key} ​

Summary: Get one tenant attribute by key

Operation ID: TenantAttributesController_getAttribute

Tags: Tenant Attributes

Security:

  • bearer

Parameters ​

NameInRequiredTypeDescription
keypathyesstringTenant attribute key

Responses ​

200 ​

Tenant attribute returned successfully

Content-Type: application/json

Schema:

json
{
  "type": "object",
  "required": [
    "key"
  ],
  "properties": {
    "key": {
      "type": "string"
    },
    "value": {
      "type": "object"
    },
    "updatedAt": {
      "type": "string"
    }
  }
}

Example:

json
{
  "key": "branding",
  "value": {
    "appName": "Autoconnecto",
    "primaryColor": "#1677ff",
    "logoUrl": "https://example.com/logo.png"
  },
  "updatedAt": "2026-04-07T12:00:00.000Z"
}

401 ​

Unauthorized

No response body.

Notes / Constraints ​

  • This endpoint depends on one or more path parameters.
  • Swagger declares security requirements for this operation.

Module Notes / Constraints ​

  • Generated from OpenAPI version metadata: 1.0.
  • 4 operation(s) in this module declare explicit Swagger security requirements.
  • HTTP methods present in this module: GET, POST, DELETE.
  • This file is generated from Swagger/OpenAPI and should be regenerated when controller, DTO, or Swagger decorator changes affect the spec.

support@autoconnecto.in · founder@autoconnecto.in · +91 92121 00555 · app.autoconnecto.in